$(document).ready(function() {
	if($(".zubehoer").length <= 0) return;
	(function($, document, window, viewport){
		'use strict';

	  var css_selected_zubehoer= new Array();
	  var cssArtikelClass = function () {
			this.cssStart();
		};

		cssArtikelClass.prototype = {
		  constructor: cssArtikelClass,

			selected_zubehoer: null,

			cssStart: function () {
				var that=this;
		  	that.debug("starte die Klasse");
				if(typeof $.evo !== 'undefined') this.cssSetPrice = $.evo.article().setPrice;
				if(typeof $.evo !== 'undefined') this.cssVariationDisableAll = $.evo.article().variationDisableAll;
		  	this.initZubehoerPopOver();
		  	this.initZubehoerCheckboxes();
		  },

		  setSelectedZubehoer: function(artikel,value) {
				var that=this;
		  	that.debug("setSelectedZubehoer");
		  	css_selected_zubehoer[artikel] = value;
		  	that.debug(css_selected_zubehoer);
		  },

		  getSelectedZubehoer: function(artikel) {
				var that=this;
		  	that.debug("getSelectedZubehoer");
		  	return css_selected_zubehoer[artikel];
		  },

		  getSelectedZubehoerArr: function() {
				var that=this;
		  	that.debug("getSelectedZubehoerArr");
		  	return css_selected_zubehoer;
		  },

		  debug: function(debugmsg) {
		  	console.log(debugmsg);
		  },

		  getZubehoerPreis: function() {
		  	var zubehoerpreis = parseFloat(0);

		  	$(".zubehoer input[type='checkbox']").each(function() {
		  		if($(this).is(':checked')) {
		  			// that.debug("(setPrice) is checked, added " + jQuery(this).attr("value") + '=' + parseFloat($(this).data("zubehoer-preis")));
		  			zubehoerpreis += parseFloat($(this).data("zubehoer-preis"))
		  			//		  			unformatedPrice = parseFloat(unformatedPrice) + parseFloat($(this).data("zubehoer-preis"));
		  		} else {
		  			// that.debug("(setPrice) is not checked " + jQuery(this).attr("value") + '=' + parseFloat($(this).data("zubehoer-preis")));
		  		}
		  	});
		  	return zubehoerpreis;
		  },

		  setPrice: function(price, fmtPrice,zusatz) {
				var that=this;
		  	that.debug("setPrice");
				var unformatedPrice = parseFloat(price);
				var zubehoerpreis = parseFloat(0);

				if(typeof $.evo === 'undefined') {
					console.log("ich umgehe die schlange");
					aktualisierePreis();
				}

		  	$(".zubehoer input[type='checkbox']").each(function() {
		  		if($(this).is(':checked')) {
		  			that.debug("(setPrice) is checked, added " + jQuery(this).attr("value") + '=' + parseFloat($(this).data("zubehoer-preis")));
		  			zubehoerpreis += parseFloat($(this).data("zubehoer-preis"))
		  			//		  			unformatedPrice = parseFloat(unformatedPrice) + parseFloat($(this).data("zubehoer-preis"));
		  		} else {
		  			that.debug("(setPrice) is not checked " + jQuery(this).attr("value") + '=' + parseFloat($(this).data("zubehoer-preis")));
		  		}
		  	});

		  	unformatedPrice = parseFloat(unformatedPrice + zubehoerpreis);


		  	fmtPrice = unformatedPrice.toFixed(2).replace(/\./,",") + " &euro;";

		  	$(".zubehoer[data-variations-type='simple-variations']").data("artikel-preis",price);
		  	$(".zubehoer[data-variations-type='simple-variations']").data("artikel-formated-preis",fmtPrice);

		  	this.cssSetPrice(unformatedPrice, fmtPrice,zusatz);
					return;
		  },

		  variationDisableAll: function() {
        var that = this;
		  	that.debug("variationDisableAll");
		  	$(".zubehoer input[type='checkbox']").each(function() {
		  		if(that.getSelectedZubehoer($(this).data("artnr"))==true)  {
		  			that.debug("(variationDisableAll) setChecked " +  $(this).attr("name"));
		  			$(this).attr("checked", true);
		  		}
		  	});

		  	if($(".zubehoer[data-variations-type='switch-variations']").length) {
		  		var unformatedPrice = $(".zubehoer[data-artikel-preis]").data("artikel-preis");
		  		var fmtPrice = $(".zubehoer[data-artikel-formated-preis]").data("artikel-formated-preis");
		  		that.debug(unformatedPrice + '/' + fmtPrice);
					that.setPrice(unformatedPrice, fmtPrice);
		  	}
		  	this.initZubehoerPopOver();
		  	this.cssVariationDisableAll();
		  },


		  initZubehoerPopOver: function() {
        var that = this;
		  	that.debug("initZubehoerPopOver");
				$('.zubehoer [data-toggle="zub-tooltip"]').popover({
					delay: {
						show: 400,
						hide: 600
					},
					trigger: 'hover',
					html: true,
					placement: 'top',
					title: function() {
						return $('.zubehoer-' + $(this).data('artikel') + " .css-popover-title").html();
					},
					content: function() {
						return $('.zubehoer-' + $(this).data('artikel') + " .css-popover-content").html();
					}
				});
		  },

		  initZubehoerCheckboxes: function() {
		  	var that = this;
		  	that.debug("initZubehoerCheckboxes");

				$("body").on("change",".zubehoer input[type='checkbox']", function() {
					if($(this).is(':checked')) {
						that.setSelectedZubehoer($(this).data("artnr"),true);
					} else {
						that.setSelectedZubehoer($(this).data("artnr"),false);
					}

		  		var unformatedPrice = $(".zubehoer[data-artikel-preis]").data("artikel-preis");
		  		var fmtPrice = $(".zubehoer[data-artikel-formated-preis]").data("artikel-formated-preis");



		  		that.debug(unformatedPrice + '/' + fmtPrice);
		  		that.setPrice(unformatedPrice, fmtPrice);
				});
		  },



		  hypnoSetPreis:  preisBerechnen,

		  cssSetPrice: function() { return true; },
			cssVariationDisableAll:  function() { return true; },


		};



		var $v = new cssArtikelClass();
		if(typeof $.evo !== 'undefined')		$.extend( true, $.evo.article(), $v );

		$.zubehoerPreis = function () {
       return $v;
    };

	})(jQuery, document, window);


	preisBerechnen= function(preis) {
		preis = $.zubehoerPreis().hypnoSetPreis(preis);
		preis += $.zubehoerPreis().getZubehoerPreis();
		$.zubehoerPreis().debug(preis);
		return preis;
	};

});



